Package weka.gui.explorer

# Class Explorer.CapabilitiesFilterChangeEvent

java.lang.Object
java.util.EventObject
javax.swing.event.ChangeEvent
weka.gui.explorer.Explorer.CapabilitiesFilterChangeEvent

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  `Explorer`

public static class Explorer.CapabilitiesFilterChangeEvent extends ChangeEvent
This event can be fired in case the capabilities filter got changed

Version:
  $Revision: 10438 $
Author:
  FracPete (fracpete at waikato dot ac dot nz)
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`CapabilitiesFilterChangeEvent(Object source, Capabilities filter)`
Constructs a GOECapabilitiesFilterChangeEvent object.

## Method Summary

Modifier and Type
Method
Description
`Capabilities`
`getFilter()`
returns the associated Capabilities filter

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### CapabilitiesFilterChangeEvent

public CapabilitiesFilterChangeEvent(Object source, Capabilities filter)
Constructs a GOECapabilitiesFilterChangeEvent object.

Parameters:
  `source` - the Object that is the source of the event
  `filter` - the responsible capabilities filter

## Method Details

### getFilter

public Capabilities getFilter()
returns the associated Capabilities filter

Returns:
  the filter